GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Enumerations | Functions
time.h File Reference
`#include <grpc/support/port_platform.h>`
`#include <stddef.h>`
`#include <time.h>`

Go to the source code of this file.

## Data Structures
struct | gpr_timespec

## Macros
#define | GPR_MS_PER_SEC 1000
#define | GPR_US_PER_SEC 1000000
#define | GPR_NS_PER_SEC 1000000000
#define | GPR_NS_PER_MS 1000000
#define | GPR_NS_PER_US 1000
#define | GPR_US_PER_MS 1000

## Typedefs
typedef struct gpr_timespec | gpr_timespec

## Enumerations
enum | gpr_clock_type { GPR_CLOCK_MONOTONIC = 0, GPR_CLOCK_REALTIME, GPR_TIMESPAN }

## Functions
gpr_timespec | gpr_time_0 (gpr_clock_type type)
gpr_timespec | gpr_inf_future (gpr_clock_type type)
gpr_timespec | gpr_inf_past (gpr_clock_type type)
void | gpr_time_init (void)
gpr_timespec | gpr_now (gpr_clock_type clock)
gpr_timespec | gpr_convert_clock_type (gpr_timespec t, gpr_clock_type target_clock)
int | gpr_time_cmp (gpr_timespec a, gpr_timespec b)
gpr_timespec | gpr_time_max (gpr_timespec a, gpr_timespec b)
gpr_timespec | gpr_time_min (gpr_timespec a, gpr_timespec b)
gpr_timespec | gpr_time_add (gpr_timespec a, gpr_timespec b)
gpr_timespec | gpr_time_sub (gpr_timespec a, gpr_timespec b)
gpr_timespec | gpr_time_from_micros (long x, gpr_clock_type clock_type)
gpr_timespec | gpr_time_from_nanos (long x, gpr_clock_type clock_type)
gpr_timespec | gpr_time_from_millis (long x, gpr_clock_type clock_type)
gpr_timespec | gpr_time_from_seconds (long x, gpr_clock_type clock_type)
gpr_timespec | gpr_time_from_minutes (long x, gpr_clock_type clock_type)
gpr_timespec | gpr_time_from_hours (long x, gpr_clock_type clock_type)
gpr_int32 | gpr_time_to_millis (gpr_timespec timespec)
int | gpr_time_similar (gpr_timespec a, gpr_timespec b, gpr_timespec threshold)
void | gpr_sleep_until (gpr_timespec until)
double | gpr_timespec_to_micros (gpr_timespec t)

## Macro Definition Documentation

#define GPR_MS_PER_SEC 1000

#define GPR_NS_PER_MS 1000000

#define GPR_NS_PER_SEC 1000000000

#define GPR_NS_PER_US 1000

#define GPR_US_PER_MS 1000

#define GPR_US_PER_SEC 1000000

## Typedef Documentation

typedef struct gpr_timespec gpr_timespec

## Enumeration Type Documentation

enum gpr_clock_type

Enumerator
GPR_CLOCK_MONOTONIC |
GPR_CLOCK_REALTIME |
GPR_TIMESPAN |

## Function Documentation

gpr_timespec gpr_convert_clock_type | ( | gpr_timespec | t,
|  | gpr_clock_type | target_clock
| ) |  |

gpr_timespec gpr_inf_future | ( | gpr_clock_type | type | ) |

gpr_timespec gpr_inf_past | ( | gpr_clock_type | type | ) |

gpr_timespec gpr_now | ( | gpr_clock_type | clock | ) |

void gpr_sleep_until | ( | gpr_timespec | until | ) |

gpr_timespec gpr_time_0 | ( | gpr_clock_type | type | ) |

gpr_timespec gpr_time_add | ( | gpr_timespec | a,
|  | gpr_timespec | b
| ) |  |

int gpr_time_cmp | ( | gpr_timespec | a,
|  | gpr_timespec | b
| ) |  |

gpr_timespec gpr_time_from_hours | ( | long | x,
|  | gpr_clock_type | clock_type
| ) |  |

gpr_timespec gpr_time_from_micros | ( | long | x,
|  | gpr_clock_type | clock_type
| ) |  |

gpr_timespec gpr_time_from_millis | ( | long | x,
|  | gpr_clock_type | clock_type
| ) |  |

gpr_timespec gpr_time_from_minutes | ( | long | x,
|  | gpr_clock_type | clock_type
| ) |  |

gpr_timespec gpr_time_from_nanos | ( | long | x,
|  | gpr_clock_type | clock_type
| ) |  |

gpr_timespec gpr_time_from_seconds | ( | long | x,
|  | gpr_clock_type | clock_type
| ) |  |

void gpr_time_init | ( | void |  | ) |

gpr_timespec gpr_time_max | ( | gpr_timespec | a,
|  | gpr_timespec | b
| ) |  |

gpr_timespec gpr_time_min | ( | gpr_timespec | a,
|  | gpr_timespec | b
| ) |  |

int gpr_time_similar | ( | gpr_timespec | a,
|  | gpr_timespec | b,
|  | gpr_timespec | threshold
| ) |  |

gpr_timespec gpr_time_sub | ( | gpr_timespec | a,
|  | gpr_timespec | b
| ) |  |

gpr_int32 gpr_time_to_millis | ( | gpr_timespec | timespec | ) |

double gpr_timespec_to_micros | ( | gpr_timespec | t | ) |